<?xml version="1.0" encoding="utf-8"?>
<creole>
    <variables>
        <family name='Mots de passe' icon='keyboard'>
            <variable name='ad_is_scribe' type='oui/non' description="Ce module est un Scribe"/>
            <variable name='ad_is_seth_dc1' type='oui/non' description="Ce module est un DC1"/>
            <variable name='ad_password_available' type='oui/non' description="Applique les règles sur les mots de passe"/>
            <variable name='ad_default_min_pwd_length' type='number' description="Longueur minimale du mot de passe">
                <value>7</value>
            </variable>
            <variable name='ad_default_history_length' type='number' description="Longueur de l'historique des mots de passe">
                <value>24</value>
            </variable>
            <variable name='ad_default_min_pwd_age' type='number' description="Âge minimal du mot de passe">
                <value>1</value>
            </variable>
            <variable name='ad_default_max_pwd_age' type='number' description="Âge maximal du mot de passe">
                <value>42</value>
            </variable>
            <variable name='ad_default_complexity' type='oui/non' description="Applique les règles de complexité sur le mot de passe" mode="expert">
                <value>oui</value>
            </variable>
            <variable name='ad_group_name' type='string' description="Groupe avec ce niveau de complexité" multi="True"/>
            <variable name='ad_group_min_pwd_length' type='number' description="Longueur minimale du mot de passe">
                <value>7</value>
            </variable>
            <variable name='ad_group_history_length' type='number' description="Longueur de l'historique des mots de passe">
                <value>24</value>
            </variable>
            <variable name='ad_group_min_pwd_age' type='number' description="Âge minimal du mot de passe">
                <value>1</value>
            </variable>
            <variable name='ad_group_max_pwd_age' type='number' description="Âge maximal du mot de passe">
                <value>42</value>
            </variable>
            <variable name='ad_group_complexity' type='oui/non' description="Applique les règles de complexité sur le mot de passe" mode="expert">
                <value>oui</value>
            </variable>
        </family>
        <separators>
            <separator name='ad_default_min_pwd_length'>Complexité par défaut des mots de passe dans l'AD</separator>
            <separator name='ad_group_name'>Complexité des mots de passe dans l'AD pour un groupe d'utilisateur</separator>
        </separators>
    </variables>
    <constraints>
        <!-- scribe -->
        <auto name='calc_multi_condition' target='ad_is_scribe'>
            <param type="eole">nom_domaine_local</param>
            <param name="operator">OR</param>
            <param type='eole' name='condition_1' optional='True'>ad_realm1</param>
            <param name='condition_2'>non</param>
            <param name='match'>non</param>
            <param name='mismatch'>oui</param>
        </auto>
        <!-- seth -->
        <auto name='calc_multi_condition' target='ad_is_seth_dc1'>
            <param>oui</param>
            <param type='eole' name='condition_1' optional='True' hidden='False'>ad_additional_dc1</param>
            <param name='match'>non</param>
            <param name='mismatch'>oui</param>
        </auto>
        <auto name='calc_multi_condition' target='ad_password_available'>
            <param>oui</param>
            <param name="operator">OR</param>
            <param type='eole' name='condition_1'>ad_is_scribe</param>
            <param type='eole' name='condition_2'>ad_is_seth_dc1</param>
        </auto>
        <group master='ad_group_name'>
            <slave>ad_group_min_pwd_length</slave>
            <slave>ad_group_history_length</slave>
            <slave>ad_group_min_pwd_age</slave>
            <slave>ad_group_max_pwd_age</slave>
            <slave>ad_group_complexity</slave>
        </group>
        <check name="valid_entier" target="ad_default_min_pwd_length">
            <param name="mini">0</param>
            <param name="maxi">14</param>
        </check>
        <check name="valid_entier" target="ad_default_history_length">
            <param name="mini">0</param>
            <param name="maxi">24</param>
        </check>
        <check name="valid_entier" target="ad_group_min_pwd_length">
            <param name="mini">0</param>
            <param name="maxi">14</param>
        </check>
        <check name="valid_entier" target="ad_group_history_length">
            <param name="mini">0</param>
            <param name="maxi">24</param>
        </check>
        <condition name='disabled_if_in' source='ad_password_available'>
            <param>non</param>
            <target type='variable'>ad_default_min_pwd_length</target>
            <target type='variable'>ad_default_history_length</target>
            <target type='variable'>ad_default_min_pwd_age</target>
            <target type='variable'>ad_default_max_pwd_age</target>
            <target type='variable'>ad_default_complexity</target>
            <target type='variable'>ad_group_name</target>
            <target type='variable'>ad_group_min_pwd_length</target>
            <target type='variable'>ad_group_history_length</target>
            <target type='variable'>ad_group_min_pwd_age</target>
            <target type='variable'>ad_group_max_pwd_age</target>
            <target type='variable'>ad_group_complexity</target>
        </condition>
    </constraints>
    <help>
        <variable name='ad_default_min_pwd_length'>0 pour désactiver</variable>
        <variable name='ad_default_history_length'>0 pour désactiver. Si activer la variable "Âge minimal du mot de passe" doit être supérieur à 0 pour éviter que l'utilisateur n'enlever son mot de passe de l'historique et le ré-utiliser.</variable>
        <variable name='ad_default_min_pwd_age'>En nombre de jours, 0 pour désactiver</variable>
        <variable name='ad_default_max_pwd_age'>En nombre de jours, 0 pour désactiver</variable>
        <variable name='ad_group_min_pwd_length'>0 pour désactiver</variable>
        <variable name='ad_group_history_length'>0 pour désactiver. Si activer la variable "Âge minimal du mot de passe" doit être supérieur à 0 pour éviter que l'utilisateur n'enlever son mot de passe de l'historique et le ré-utiliser.</variable>
        <variable name='ad_group_min_pwd_age'>En nombre de jours, 0 pour désactiver</variable>
        <variable name='ad_group_max_pwd_age'>En nombre de jours, 0 pour désactiver</variable>
    </help>
</creole>
<!-- vim: ts=4 sw=4 expandtab
-->

